FileControllerGetUpstreamReferenceExplosion Method |
GET /File/ReferencedByRecursive/{id}/
Gets the references (upstream reference explosion) to the specified file. This is recursive.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("ReferencedByRecursive")]
public IActionResult GetUpstreamReferenceExplosion(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("ReferencedByRecursive")>
Public Function GetUpstreamReferenceExplosion (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"ReferencedByRecursive")]
IActionResult^ GetUpstreamReferenceExplosion(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("ReferencedByRecursive")>]
member GetUpstreamReferenceExplosion :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the entity to check. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
An array of
ProjectData, or a status code indicating the reason for failure.
See Also